CK_HS_REMOVE(3)

NAME
ck_hs_remove - remove key from a hash set

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_hs.h>
void *
ck_hs_remove(ck_hs_t *hs, unsigned long hash, const void *key);

DESCRIPTION
The ck_hs_remove(3) function will attempt to remove the key specified by the key argument in the hash set pointed to by the hs argument. The key specified by key is expected to have the hash value specified by the hash argument (which was previously generated using the CK_HS_HASH(3) macro).

If the call to ck_hs_remove(3) was successful then the key contained in the hash set is returned. If the key was not a member of the hash set then NULL is returned.

RETURN VALUES
Upon successful completion, ck_hs_remove(3) returns a pointer to a key and otherwise returns NULL on failure.

ERRORS
Behavior is undefined if key or hs are uninitialized.

SEE ALSO
ck_hs_init(3), ck_hs_move(3), ck_hs_destroy(3), CK_HS_HASH(3), ck_hs_iterator_init(3), ck_hs_next(3), ck_hs_get(3), ck_hs_put(3), ck_hs_put_unique(3), ck_hs_set(3), ck_hs_fas(3), ck_hs_grow(3), ck_hs_gc(3), ck_hs_rebuild(3), ck_hs_count(3), ck_hs_reset(3), ck_hs_reset_size(3), ck_hs_stat(3)

Additional information available at http://concurrencykit.org/